Lucene - Core
  1. Lucene - Core
  2. LUCENE-2024

"ant dist" no longer generates md5's for the top-level artifacts

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 2.9.1, 2.9.2, 3.0
    • Fix Version/s: 3.0
    • Component/s: general/build
    • Labels:
      None
    • Lucene Fields:
      New

      Description

      Mark hit this for 2.9.0, and I just hit it again for 2.9.1. It used to work...

      1. LUCENE-2024.patch
        3 kB
        Uwe Schindler
      2. LUCENE-2024.patch
        2 kB
        Uwe Schindler

        Activity

        Michael McCandless created issue -
        Hide
        Uwe Schindler added a comment -

        I looked into this and found no reason, why the artifacts are not signed. Which ones are missing. The main tar and zip files all have signature files.

        Show
        Uwe Schindler added a comment - I looked into this and found no reason, why the artifacts are not signed. Which ones are missing. The main tar and zip files all have signature files.
        Uwe Schindler made changes -
        Field Original Value New Value
        Assignee Uwe Schindler [ thetaphi ]
        Hide
        Uwe Schindler added a comment -

        Here a patch that uses the most recent checksum task. I have to checkout what the minimum ant version is now. It is more simple now. I aso added sha1 sums.

        It is also faster than before. Mark/Mike, can you test this on your computers?

        Show
        Uwe Schindler added a comment - Here a patch that uses the most recent checksum task. I have to checkout what the minimum ant version is now. It is more simple now. I aso added sha1 sums. It is also faster than before. Mark/Mike, can you test this on your computers?
        Uwe Schindler made changes -
        Attachment LUCENE-2024.patch [ 12424835 ]
        Hide
        Uwe Schindler added a comment -

        The file output pattern needs ANT 1.7.0. Attached is a patch that raises the version number in BUILD.txt, too (the website also needs to be updated).

        Is this a problem? 1.7.0 is now also 2 years old and as we go to Java 1.5 we could also raise our build requirements.

        Show
        Uwe Schindler added a comment - The file output pattern needs ANT 1.7.0. Attached is a patch that raises the version number in BUILD.txt, too (the website also needs to be updated). Is this a problem? 1.7.0 is now also 2 years old and as we go to Java 1.5 we could also raise our build requirements.
        Uwe Schindler made changes -
        Attachment LUCENE-2024.patch [ 12424848 ]
        Hide
        Michael McCandless added a comment -

        Mark/Mike, can you test this on your computers?

        It worked! And I also just verified on trunk "ant dist" fails to produce the sha1/md5 digests.

        Is this a problem? 1.7.0 is now also 2 years old and as we go to Java 1.5 we could also raise our build requirements.

        I think this is reasonable.

        But: what version is installed on hudson?

        Show
        Michael McCandless added a comment - Mark/Mike, can you test this on your computers? It worked! And I also just verified on trunk "ant dist" fails to produce the sha1/md5 digests. Is this a problem? 1.7.0 is now also 2 years old and as we go to Java 1.5 we could also raise our build requirements. I think this is reasonable. But: what version is installed on hudson?
        Hide
        Uwe Schindler added a comment -

        But: what version is installed on hudson?

        Can you check this for me, I still have no hudson account... Thanks!

        Show
        Uwe Schindler added a comment - But: what version is installed on hudson? Can you check this for me, I still have no hudson account... Thanks!
        Hide
        Michael McCandless added a comment -

        OK looks like hudson is using ant 1.7.1. So we're good!

        Show
        Michael McCandless added a comment - OK looks like hudson is using ant 1.7.1. So we're good!
        uschindler committed 835889 (3 files)
        Reviews: none

        LUCENE-2024: Fix: "ant dist" no longer generates md5's for the top-level artifacts

        Hide
        Uwe Schindler added a comment -

        Committed revision: 835889

        Thanks @ all!
        On ApacheCon, the others told me to open an issue in INFRA to get an account, I could then also take the clover update. I'll try.

        Show
        Uwe Schindler added a comment - Committed revision: 835889 Thanks @ all! On ApacheCon, the others told me to open an issue in INFRA to get an account, I could then also take the clover update. I'll try.
        Uwe Schindler made changes -
        Status Open [ 1 ] Resolved [ 5 ]
        Resolution Fixed [ 1 ]
        uschindler committed 835903 (3 files)
        Reviews: none

        LUCENE-2024: Update web page because of newer ANT requirement 1.7.0 (relates to: "ant dist" no longer generates md5's for the top-level artifacts)

        Uwe Schindler made changes -
        Status Resolved [ 5 ] Closed [ 6 ]
        Mark Thomas made changes -
        Workflow jira [ 12480994 ] Default workflow, editable Closed status [ 12563315 ]
        Mark Thomas made changes -
        Workflow Default workflow, editable Closed status [ 12563315 ] jira [ 12584431 ]

          People

          • Assignee:
            Uwe Schindler
            Reporter:
            Michael McCandless
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development